function [conc_stress] = ConcStress_Unfact(x,beam_h,et,ec,conc_ec,conc_f1c,conc_f0)

strain = (et-ec)/beam_h*x+ec;

if strain > 0 % Compressive strain
    
    if strain <= conc_ec
        
        mod = 1-(1-strain/conc_ec)^0.75; % Parabolic function for concrete stress-strain curve
        conc_stress = mod*conc_f1c;
        
    else
        
        conc_stress = conc_f1c;
        
    end
    
else % Tensile strain
    
    conc_stress = conc_f0;
    
end

end