function [steel_stress] = SteelStress(x,et,ec,beam_h,steel_E1,steel_fy)

strain = (et-ec)/beam_h*x+ec;

% [CSA 8.5.3.2, ACI 10.2.4, EN 3.2.3 (2), Selby & Vecchio 1995 Eq 50]

if abs(strain)*steel_E1 > steel_fy
    steel_stress = sign(strain)*steel_fy;
else
    steel_stress = strain*steel_E1;
end

end